ENOSYS(1)

BEZEICHNUNG
enosys - Dienstprogramm, dass Systemaufrufe mit ENOSYS fehlschlagen lässt

ÜBERSICHT

enosys [--syscall|-s Systemaufruf] Befehl

BESCHREIBUNG

enosys ist ein einfacher Befehl zum Ausführen eines Kindprozesses, für den bestimmte Systemaufrufe mit dem Fehlercode ENOSYS fehlschlagen.

Es kann verwendet werden, um das Verhalten von Anwendungen bei fehlenden Systemaufrufen zu testen, wie dies bei der Ausführung auf alten Kerneln der Fall wäre.​

OPTIONEN

-s, --syscall
    gibt den mit ENOSYS zu blockierenden Systemaufruf an; kann mehrfach angegeben werden. Ein(e) alternative(r) Fehlernummer oder -name kann nach einem Doppelpunkt angegeben werden.

-i, --ioctl
    Mit ENOTTY zu blockierendes Ioctl. Kann mehrfach angegeben werden. Ein(e) alternative(r) Fehlernummer oder -name kann nach einem Doppelpunkt hinzugefügt werden.

-l, --list
    listet die Systemaufrufe auf, die enosys bekannt sind.

-m, --list-ioctl
    listet die Ioctls auf, die enosys bekannt sind.

-d, --dump[=Datei]
    schreibt den Seccomp-Bytecode-Filter in die Standardausgabe.

    Die Ausgabe kann beispielsweise von setpriv --seccomp-filter verwendet werden.

-h, --help
    zeigt einen Hilfetext an und beendet das Programm.

-V, --version
    zeigt Versionsinformationen an und beendet das Programm.

BEISPIELE

    # fail syscall "fallocate" with ENOSYS
    enosys -s fallocate ...

    # fail syscall "fallocate" with ENOMEM
    enosys -s fallocate:ENOMEM ...

    # fail syscall "fallocate" with value 12/ENOMEM
    enosys -s fallocate:12 ...

    # fail ioctl FIOCLEX with ENOTTY
    enosys -i FIOCLEX ...

    # fail ioctl FIOCLEX with ENOMEM
    enosys -i FIOCLEX:ENOMEM ...

    # fail ioctl FIOCLEX with value 12/ENOMEM
    enosys -i FIOCLEX:12 ...

EXIT-STATUS

enosys wird mit dem Statuscode des ausgeführten Prozesses beendet. Die folgenden Werte haben eine spezielle Bedeutung:

1
    Interner Fehler.

2
    Das System stellt die benötigte Funktionaliät nicht bereit.

AUTOREN

SIEHE AUCH

syscall(2)

FEHLER MELDEN

Nutzen Sie zum Melden von Fehlern das

VERFÜGBARKEIT

Der Befehl enosys ist Teil des Pakets util-linux, welches aus dem heruntergeladen werden kann.